Jump to content
mvrcad

changing all colours of an architectural, with many blocks, to grey

Recommended Posts

mvrcad

Hi All

I have a question i am sure there is a simple answer for, but its escaped me.

 

I get architectural drawings, put them in as models as a background and draw over the top of them.

 

so i like to have the architectural model all grey, except maybe the grids.

 

however i find that the architectural s are made of many hundreds of blocks, and i have to edit each block and change the colour then save then repeat for another almost similar block.

 

there must be a way, besides exploding the whole drawing, to make it all grey.

Thanks in advance.

 

attachment.php?attachmentid=57154&cid=1&stc=1attachment.php?attachmentid=57155&cid=1&stc=1

architechture file 1.PNG

car spaces 1.jpg

Share this post


Link to post
Share on other sites
BIGAL

This is a blocks color by layer but you can change the 0 to say 253, if you only want to do certian blocks you need to make a list of them and check the name of the block

 

(vl-load-com)
(setq  doc (vla-get-activedocument (vlax-get-acad-object))) ; open database
(vlax-for block (vla-get-blocks doc) 
   (if   (not (wcmatch (strcase (vla-get-name block) t) "*_space*")) ; model-paper space
     (vlax-for   ent block 
  (vla-put-color ent 0) ; bylayer
  (vla-put-linetype ent "Bylayer") 
  (vla-put-lineweight ent aclnwtbyblock) 
  ) ;_ end of vlax-for 
     ) ;_ end of if 
   ) ;_ end of vlax-for 

Share this post


Link to post
Share on other sites
mvrcad

ahh

thanks big Al

only one problem, for the time being (next few months at least) ill be using LT, so i cant customise or pogram code into AutoCAD

Share this post


Link to post
Share on other sites
danellis

Do you have the SETBYLAYER command available in LT?

 

 

If you do, then open up your architectural file.

type SETBYLAYER

Type ALL to select everything in the drawing.

...There'll be a number of prompts regarding nesting and such - in this case I'd suggest going as deep as it will let you!

 

 

Leave the xref layer definitions as they are - hopefully that way you'll be able to print the arch drawing as close to its original presentation as possible if you need to.

Within your drawings set the architectural xref layers to colour 253 (or whatever else suits your needs).

 

 

dJE

Share this post


Link to post
Share on other sites
RobDraw
type SETBYLAYER

Type ALL to select everything in the drawing.

...There'll be a number of prompts regarding nesting and such - in this case I'd suggest going as deep as it will let you!

 

 

Leave the xref layer definitions as they are - hopefully that way you'll be able to print the arch drawing as close to its original presentation as possible if you need to.

Within your drawings set the architectural xref layers to colour 253 (or whatever else suits your needs).

 

Not only is this not necessary but you're contradicting yourself. All that is necessary for the background file is to save a copy of the original file and make the changes for the background in that copy. Keep the original as is.

Share this post


Link to post
Share on other sites
mvrcad
Do you have the SETBYLAYER command available in LT?

 

 

If you do, then open up your architectural file.

type SETBYLAYER

Type ALL to select everything in the drawing.

...There'll be a number of prompts regarding nesting and such - in this case I'd suggest going as deep as it will let you!

 

 

Leave the xref layer definitions as they are - hopefully that way you'll be able to print the arch drawing as close to its original presentation as possible if you need to.

Within your drawings set the architectural xref layers to colour 253 (or whatever else suits your needs).

 

 

dJE

wow this is great thanks

Share this post


Link to post
Share on other sites
mvrcad
Do you have the SETBYLAYER command available in LT?

 

 

If you do, then open up your architectural file.

type SETBYLAYER

Type ALL to select everything in the drawing.

...There'll be a number of prompts regarding nesting and such - in this case I'd suggest going as deep as it will let you!

 

 

Leave the xref layer definitions as they are - hopefully that way you'll be able to print the arch drawing as close to its original presentation as possible if you need to.

Within your drawings set the architectural xref layers to colour 253 (or whatever else suits your needs).

 

 

dJE

one thing ive been doing is just printing architecturals in greyscale as rarely if ever will an architectural come with a plot style file.

 

so i save an original in a folder called clients drawings

and save a modified "grey" file with everything purged and save that to a file called models

 

does that sound like a good idea?

Share this post


Link to post
Share on other sites
Dana W

I normally plot the architectural to pdf, in monochrome, then PDFATTACH, and scale by reference to full size. With a black background, pdfs display as white on black, but can be faded to 50% or whatever you want, which makes it medium gray on black. If it is a pdf of CAD, you can turn on pdf snaps. Also, in 2016 LT one can set a color pdf to display in monochrome. All of that takes less than 3 minutes, when de-coloring them can take hours depending on ones experience level.

 

I almost never get CAD from the architects any more. They almost always come in pdf now.

Share this post


Link to post
Share on other sites
RobDraw

You don't get a performance hit when using PDFs, Dana? Whenever I check to see if it has improved, I still see a noticeable impact even with small PDFs. I still don't see many vector PDFs, so maybe it's better with vector ones?

Share this post


Link to post
Share on other sites
SLW210

I see no problems with Vector PDFs.

 

I would either use it as Vector PDF or Explode A COPY of the drawing and xref it in.

Share this post


Link to post
Share on other sites
Dana W
You don't get a performance hit when using PDFs, Dana? Whenever I check to see if it has improved, I still see a noticeable impact even with small PDFs. I still don't see many vector PDFs, so maybe it's better with vector ones?
I do get some degradation, even with vectors, which is most of what I get. For instance I have to reload every so often or the pdf's don't display properly, and there is some cursor lag when they are on the screen.

 

We have managed to make incoming drawings, either vector pdf's straight from AutoCad or CAD dwg files, a contract item.

 

I got in one 83 megabyte, one page floor plan, 24 x 36 pdf raster the other day so I sent them a request for something I could use. It had all the usual hatches, ceiling grid, demo, existing, floor tile etc. and it was simply a scanned plot. I could not even zoom with it on the screen. Whoever scanned it, did it at 300 dpi. I finally got a vector pdf of the same floor plan that was 800 kb.

 

The degradation can be laid directly at the feet of my ever so powerful on board video processor.:cry: I don't have a choice, this is at work. Hey, I just got them off of AutoCad LT 2006 up to 2016 a month ago. I'm lucky I don't have to boot with a bendy disk. Give me time. Right now, I am getting a spaced out stare when I mention a graphics upgrade.

Share this post


Link to post
Share on other sites
Dana W
You don't get a performance hit when using PDFs, Dana? Whenever I check to see if it has improved, I still see a noticeable impact even with small PDFs. I still don't see many vector PDFs, so maybe it's better with vector ones?
I also meant to add, "Not as much delay as the time it takes to clean out a flattened 3D CAD drawing."

Share this post


Link to post
Share on other sites
Amalgama

How about LAYTRANS?

Share this post


Link to post
Share on other sites
Roberta

Hi there!

For me, it's not so much about changing the layer color as that there are so many individual lines that are in one layer and assigned a different color. So, that means trying to go in to the xref and change every line to "by layer".  Often time, there are nested blocks. I'm a firm believer that every line should have it's color by layer...

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...